Bug 472305 - "equality" tests in all spec files need to be fixed
"equality" tests in all spec files need to be fixed
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Build (Show other bugs)
1.1
All All
medium Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-11-19 17:35 EST by Matthew Harmsen
Modified: 2015-01-04 18:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:30:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dogtag spec files (45.64 KB, text/plain)
2008-11-22 21:16 EST, Matthew Harmsen
no flags Details

  None (edit)
Description Matthew Harmsen 2008-11-19 17:35:15 EST
Within virtually all spec files, there is code of the form:

%define undefined_distro  %(test "%{dist}"="" && echo 1 || echo 0)

This macro is incorrect, as it always resolves to be true.

The macro needs to be re-coded to have the following format:

%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)

All similar macros using the "test" invocation while using an "=" test MUST be checked.
Comment 1 Matthew Harmsen 2008-11-22 21:16:47 EST
Created attachment 324414 [details]
Dogtag spec files
Comment 4 Jack Magne 2008-11-22 21:33:59 EST
Attachment (id=324414) +jmagne.
Comment 6 Matthew Harmsen 2008-11-22 21:39:32 EST
svn status

M      java-tools/pki-java-tools.spec
M      ocsp-ui/pki-ocsp-ui.spec
M      osutil/osutil.spec
M      tps-ui/pki-tps-ui.spec
M      symkey/symkey.spec
M      ca/pki-ca.spec
M      native-tools/pki-native-tools.spec
M      common/pki-common.spec
M      kra-ui/pki-kra-ui.spec
M      manage/pki-manage.spec
M      migrate/pki-migrate.spec
M      silent/pki-silent.spec
M      ca-ui/pki-ca-ui.spec
M      setup/pki-setup.spec
M      tks/pki-tks.spec
M      console/pki-console.spec
M      ra/pki-ra.spec
M      common-ui/pki-common-ui.spec
M      ocsp/pki-ocsp.spec
M      tps/pki-tps.spec
M      tks-ui/pki-tks-ui.spec
M      kra/pki-kra.spec
M      console-ui/pki-console-ui.spec
M      ra-ui/pki-ra-ui.spec
M      util/pki-util.spec


svn commit

Sending        linux/ca/pki-ca.spec
Sending        linux/ca-ui/pki-ca-ui.spec
Sending        linux/common/pki-common.spec
Sending        linux/common-ui/pki-common-ui.spec
Sending        linux/console/pki-console.spec
Sending        linux/console-ui/pki-console-ui.spec
Sending        linux/java-tools/pki-java-tools.spec
Sending        linux/kra/pki-kra.spec
Sending        linux/kra-ui/pki-kra-ui.spec
Sending        linux/manage/pki-manage.spec
Sending        linux/migrate/pki-migrate.spec
Sending        linux/native-tools/pki-native-tools.spec
Sending        linux/ocsp/pki-ocsp.spec
Sending        linux/ocsp-ui/pki-ocsp-ui.spec
Sending        linux/osutil/osutil.spec
Sending        linux/ra/pki-ra.spec
Sending        linux/ra-ui/pki-ra-ui.spec
Sending        linux/setup/pki-setup.spec
Sending        linux/silent/pki-silent.spec
Sending        linux/symkey/symkey.spec
Sending        linux/tks/pki-tks.spec
Sending        linux/tks-ui/pki-tks-ui.spec
Sending        linux/tps/pki-tps.spec
Sending        linux/tps-ui/pki-tps-ui.spec
Sending        linux/util/pki-util.spec
Transmitting file data .........................
Committed revision 142.
Comment 9 Jenny Galipeau 2009-06-15 13:19:12 EDT
verified:

/home/jgalipea/tomcatjss/tomcatjss.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/console/pki-console.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/console/pki-console.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/manage/pki-manage.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/manage/pki-manage.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/tks/pki-tks.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/tks/pki-tks.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/ca-ui/redhat-pki-ca-ui.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/ca-ui/redhat-pki-ca-ui.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/silent/pki-silent.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/silent/pki-silent.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/symkey/symkey.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/symkey/symkey.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/java-tools/pki-java-tools.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/java-tools/pki-java-tools.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/ocsp/pki-ocsp.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/ocsp/pki-ocsp.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/migrate/pki-migrate.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/migrate/pki-migrate.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/native-tools/pki-native-tools.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/native-tools/pki-native-tools.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/ra-ui/redhat-pki-ra-ui.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/ra-ui/redhat-pki-ra-ui.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/osutil/osutil.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/osutil/osutil.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/kra/pki-kra.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/kra/pki-kra.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/ocsp-ui/redhat-pki-ocsp-ui.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/ocsp-ui/redhat-pki-ocsp-ui.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/ca/pki-ca.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/ca/pki-ca.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/setup/pki-setup.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/setup/pki-setup.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/selinux/pki-selinux.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/common-ui/redhat-pki-common-ui.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/common-ui/redhat-pki-common-ui.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/kra-ui/redhat-pki-kra-ui.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/kra-ui/redhat-pki-kra-ui.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/tps-ui/redhat-pki-tps-ui.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/tps-ui/redhat-pki-tps-ui.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/util/pki-util.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/util/pki-util.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/tks-ui/redhat-pki-tks-ui.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/tks-ui/redhat-pki-tks-ui.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/tps/pki-tps.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/tps/pki-tps.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/console-ui/redhat-pki-console-ui.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/console-ui/redhat-pki-console-ui.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/ra/pki-ra.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/ra/pki-ra.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/common/pki-common.el4sol9.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
/home/jgalipea/redhat/common/pki-common.spec
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}

Note You need to log in before you can comment on or make changes to this bug.